Package org.eclipse.wst.xsl.ui.internal.validation

## org.eclipse.wst.xsl.ui.internal.validation
Class XSLErrorListener

    public class XSLErrorListener
    extends java.lang.Object

This class listens for Errors tossed by a XSL Processor.

## Constructor Summary

`XSLErrorListener(java.util.logging.Logger logger)`

## Method Summary

`public void` | `error(javax.xml.transform.TransformerException exception)` (non-Javadoc)
`public void` | `fatalError(javax.xml.transform.TransformerException exception)` (non-Javadoc)
`public void` | `warning(javax.xml.transform.TransformerException exception)` (non-Javadoc)

## Constructor Detail

## XSLErrorListener

`public XSLErrorListener(java.util.logging.Logger logger)`

TODO: Add Javadoc

## Methods Detail

## error

`public void error(javax.xml.transform.TransformerException exception)`

(non-Javadoc)

### Parameters

`exception`

### Throws:

`javax.xml.transform.TransformerException`

## fatalError

`public void fatalError(javax.xml.transform.TransformerException exception)`

(non-Javadoc)

### Parameters

`exception`

### Throws:

`javax.xml.transform.TransformerException`

## warning

`public void warning(javax.xml.transform.TransformerException exception)`

(non-Javadoc)

### Parameters

`exception`